namespace BingoBrain.Core
{
    public abstract class BaseScene
    {
        public abstract int SceneIdx { get; }

        public void Enter()
        {
            Pva.Enter();
            OnEnter();
        }

        public void Leave()
        {
            OnLeave();
        }

        public void SwchSneCote(object param)
        {
            OnSwhSceCompl(param);
        }

        protected abstract void OnEnter();
        protected abstract void OnLeave();
        protected abstract void OnSwhSceCompl(object param);

        public abstract void Dispose();
    }
}